teknoraver / rpms / systemd

Forked from rpms/systemd a month ago
Clone

Blame SOURCES/0126-test-skip-TEST-21-DFUZZER-without-ASan.patch

594167
From 8f848593293b69f293734e07ec975ee76a3e6df5 Mon Sep 17 00:00:00 2001
594167
From: Frantisek Sumsal <frantisek@sumsal.cz>
594167
Date: Sun, 19 Jun 2022 10:39:12 +0200
594167
Subject: [PATCH] test: skip TEST-21-DFUZZER without ASan
594167
594167
as the test is quite time consuming and it yields more useful reports
594167
when the target app is built with sanitizers.
594167
594167
(cherry picked from commit d768243a95c33e73afe9a7e487acf329884e03c1)
594167
594167
Related: #2087652
594167
---
594167
 test/TEST-21-DFUZZER/test.sh | 5 +++++
594167
 1 file changed, 5 insertions(+)
594167
594167
diff --git a/test/TEST-21-DFUZZER/test.sh b/test/TEST-21-DFUZZER/test.sh
594167
index ecc04e368c..42e37c8a9c 100755
594167
--- a/test/TEST-21-DFUZZER/test.sh
594167
+++ b/test/TEST-21-DFUZZER/test.sh
594167
@@ -12,6 +12,11 @@ QEMU_TIMEOUT="${QEMU_TIMEOUT:-1800}"
594167
 
594167
 command -v dfuzzer >/dev/null || exit 0
594167
 
594167
+if ! get_bool "$IS_BUILT_WITH_ASAN"; then
594167
+    echo "systemd is built without ASan, skipping..."
594167
+    exit 0
594167
+fi
594167
+
594167
 test_append_files() {
594167
     local workspace="${1:?}"
594167